# Interface DependencyArtifact

public interface DependencyArtifact

An `Artifact` represents an artifact included in a `Dependency`.

An artifact is an (immutable) value object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_TYPE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassifier()`
Returns the classifier of this artifact.
`String`
`getExtension()`
Returns the extension of this artifact.
`String`
`getName()`
Returns the name of this artifact.
`String`
`getType()`
Returns the type of this artifact.
`String`
`getUrl()`
Returns an URL under which this artifact can be retrieved.
`void`
`setClassifier(String classifier)`
Sets the classifier of this artifact.
`void`
`setExtension(String extension)`
Sets the extension of this artifact.
`void`
`setName(String name)`
Sets the name of this artifact.
`void`
`setType(String type)`
Sets the type of this artifact.
`void`
`setUrl(String url)`
Sets the URL for this artifact.

## Field Details

### DEFAULT_TYPE

static final String DEFAULT_TYPE

See Also:
  - Constant Field Values

## Method Details

### getName

String getName()
Returns the name of this artifact.

### setName

void setName(String name)
Sets the name of this artifact.

### getType

String getType()
Returns the type of this artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.

See Also:
  - `getExtension()`

### setType

void setType(String type)
Sets the type of this artifact.

### getExtension

String getExtension()
Returns the extension of this artifact. Often the extension is the same as the type, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.

See Also:
  - `getType()`

### setExtension

void setExtension(String extension)
Sets the extension of this artifact.

### getClassifier

String getClassifier()
Returns the classifier of this artifact.

### setClassifier

void setClassifier(String classifier)
Sets the classifier of this artifact.

### getUrl

String getUrl()
Returns an URL under which this artifact can be retrieved. If not specified the user repositories are used for retrieving.

### setUrl

void setUrl(String url)
Sets the URL for this artifact.